/*
 * font_glcd_5x7.c
 *
 * Standard ASCII 5x7 font
 *
 * FIXME: Add license information
 *
 * Created on: 8 dec. 2016
 *      Author: zaltora
 */
/********************************************************************************
 * Copyright (c) 2012, Majenko Technologies
 * All rights reserved.
 *
 * Redistribution and use in source and binary forms, with or without
 * modification, are permitted provided that the following conditions are met:
 *
 * 1. Redistributions of source code must retain the above copyright notice, this
 *    list of conditions and the following disclaimer.
 * 2. Redistributions in binary form must reproduce the above copyright notice,
 *    this list of conditions and the following disclaimer in the documentation
 *    and/or other materials provided with the distribution.
 *
 * THIS SOFTWARE IS PROVIDED BY THE COPYRIGHT HOLDERS AND CONTRIBUTORS "AS IS" AND
 * ANY EXPRESS OR IMPLIED WARRANTIES, INCLUDING, BUT NOT LIMITED TO, THE IMPLIED
 * WARRANTIES OF MERCHANTABILITY AND FITNESS FOR A PARTICULAR PURPOSE ARE
 * DISCLAIMED. IN NO EVENT SHALL THE COPYRIGHT OWNER OR CONTRIBUTORS BE LIABLE FOR
 * ANY DIRECT, INDIRECT, INCIDENTAL, SPECIAL, EXEMPLARY, OR CONSEQUENTIAL DAMAGES
 * (INCLUDING, BUT NOT LIMITED TO, PROCUREMENT OF SUBSTITUTE GOODS OR SERVICES;
 * LOSS OF USE, DATA, OR PROFITS; OR BUSINESS INTERRUPTION) HOWEVER CAUSED AND
 * ON ANY THEORY OF LIABILITY, WHETHER IN CONTRACT, STRICT LIABILITY, OR TORT
 * (INCLUDING NEGLIGENCE OR OTHERWISE) ARISING IN ANY WAY OUT OF THE USE OF THIS
 * SOFTWARE, EVEN IF ADVISED OF THE POSSIBILITY OF SUCH DAMAGE.
 *
 * The views and conclusions contained in the software and documentation are those
 * of the authors and should not be interpreted as representing official policies,
 * either expressed or implied, of the FreeBSD Project.
 ********************************************************************************/
#ifndef _EXTRAS_FONTS_FONT_GLCD_5X7_H_
#define _EXTRAS_FONTS_FONT_GLCD_5X7_H_

static const uint8_t _fonts_glcd_5x7_bitmaps[] =
{
        /* @0 '\x0' (5 pixels wide) */
        0x00, //
        0x00, //
        0x00, //
        0x00, //
        0x00, //
        0x00, //
        0x00, //

        /* @7 '\x1' (5 pixels wide) */
        0x70, //  ###
        0xF8, // #####
        0xA8, // # # #
        0xF8, // #####
        0xD8, // ## ##
        0x88, // #   #
        0x70, //  ###

        /* @14 '\x2' (5 pixels wide) */
        0x70, //  ###
        0xF8, // #####
        0xA8, // # # #
        0xF8, // #####
        0x88, // #   #
        0xD8, // ## ##
        0x70, //  ###

        /* @21 '\x3' (5 pixels wide) */
        0x00, //
        0x50, //  # #
        0xF8, // #####
        0xF8, // #####
        0xF8, // #####
        0x70, //  ###
        0x20, //   #

        /* @28 '\x4' (5 pixels wide) */
        0x00, //
        0x20, //   #
        0x70, //  ###
        0xF8, // #####
        0xF8, // #####
        0x70, //  ###
        0x20, //   #

        /* @35 '\x5' (5 pixels wide) */
        0x70, //  ###
        0x50, //  # #
        0xF8, // #####
        0xA8, // # # #
        0xF8, // #####
        0x20, //   #
        0x70, //  ###

        /* @42 '\x6' (5 pixels wide) */
        0x20, //   #
        0x70, //  ###
        0xF8, // #####
        0xF8, // #####
        0xF8, // #####
        0x20, //   #
        0x70, //  ###

        /* @49 '\x7' (5 pixels wide) */
        0x00, //
        0x00, //
        0x20, //   #
        0x70, //  ###
        0x70, //  ###
        0x20, //   #
        0x00, //

        /* @56 '\x8' (5 pixels wide) */
        0xF8, // #####
        0xF8, // #####
        0xD8, // ## ##
        0x88, // #   #
        0x88, // #   #
        0xD8, // ## ##
        0xF8, // #####

        /* @63 '\x9' (5 pixels wide) */
        0x00, //
        0x00, //
        0x20, //   #
        0x50, //  # #
        0x50, //  # #
        0x20, //   #
        0x00, //

        /* @70 '\xA' (5 pixels wide) */
        0xF8, // #####
        0xF8, // #####
        0xD8, // ## ##
        0xA8, // # # #
        0xA8, // # # #
        0xD8, // ## ##
        0xF8, // #####

        /* @77 '\xB' (5 pixels wide) */
        0x00, //
        0x38, //   ###
        0x18, //    ##
        0x68, //  ## #
        0xA0, // # #
        0xA0, // # #
        0x40, //  #

        /* @84 '\xC' (5 pixels wide) */
        0x70, //  ###
        0x88, // #   #
        0x88, // #   #
        0x70, //  ###
        0x20, //   #
        0xF8, // #####
        0x20, //   #

        /* @91 '\xD' (5 pixels wide) */
        0x78, //  ####
        0x48, //  #  #
        0x78, //  ####
        0x40, //  #
        0x40, //  #
        0x40, //  #
        0xC0, // ##

        /* @98 '\xE' (5 pixels wide) */
        0x78, //  ####
        0x48, //  #  #
        0x78, //  ####
        0x48, //  #  #
        0x48, //  #  #
        0x58, //  # ##
        0xC0, // ##

        /* @105 '\xF' (5 pixels wide) */
        0x20, //   #
        0xA8, // # # #
        0x70, //  ###
        0xD8, // ## ##
        0xD8, // ## ##
        0x70, //  ###
        0xA8, // # # #

        /* @112 '\x10' (5 pixels wide) */
        0x80, // #
        0xC0, // ##
        0xF0, // ####
        0xF8, // #####
        0xF0, // ####
        0xC0, // ##
        0x80, // #

        /* @119 '\x11' (5 pixels wide) */
        0x08, //     #
        0x18, //    ##
        0x78, //  ####
        0xF8, // #####
        0x78, //  ####
        0x18, //    ##
        0x08, //     #

        /* @126 '\x12' (5 pixels wide) */
        0x20, //   #
        0x70, //  ###
        0xA8, // # # #
        0x20, //   #
        0xA8, // # # #
        0x70, //  ###
        0x20, //   #

        /* @133 '\x13' (5 pixels wide) */
        0xD8, // ## ##
        0xD8, // ## ##
        0xD8, // ## ##
        0xD8, // ## ##
        0xD8, // ## ##
        0x00, //
        0xD8, // ## ##

        /* @140 '\x14' (5 pixels wide) */
        0x78, //  ####
        0xA8, // # # #
        0xA8, // # # #
        0x68, //  ## #
        0x28, //   # #
        0x28, //   # #
        0x28, //   # #

        /* @147 '\x15' (5 pixels wide) */
        0x30, //   ##
        0x48, //  #  #
        0x50, //  # #
        0x28, //   # #
        0x10, //    #
        0x48, //  #  #
        0x48, //  #  #

        /* @154 '\x16' (5 pixels wide) */
        0x00, //
        0x00, //
        0x00, //
        0x00, //
        0x00, //
        0xF8, // #####
        0xF8, // #####

        /* @161 '\x17' (5 pixels wide) */
        0x20, //   #
        0x70, //  ###
        0xA8, // # # #
        0x20, //   #
        0xA8, // # # #
        0x70, //  ###
        0x20, //   #

        /* @168 '\x18' (5 pixels wide) */
        0x00, //
        0x20, //   #
        0x70, //  ###
        0xA8, // # # #
        0x20, //   #
        0x20, //   #
        0x20, //   #

        /* @175 '\x19' (5 pixels wide) */
        0x00, //
        0x20, //   #
        0x20, //   #
        0x20, //   #
        0xA8, // # # #
        0x70, //  ###
        0x20, //   #

        /* @182 '\x1A' (5 pixels wide) */
        0x00, //
        0x20, //   #
        0x10, //    #
        0xF8, // #####
        0x10, //    #
        0x20, //   #
        0x00, //

        /* @189 '\x1B' (5 pixels wide) */
        0x00, //
        0x20, //   #
        0x40, //  #
        0xF8, // #####
        0x40, //  #
        0x20, //   #
        0x00, //

        /* @196 '\x1C' (5 pixels wide) */
        0x00, //
        0x80, // #
        0x80, // #
        0x80, // #
        0xF8, // #####
        0x00, //
        0x00, //

        /* @203 '\x1D' (5 pixels wide) */
        0x00, //
        0x50, //  # #
        0xF8, // #####
        0xF8, // #####
        0x50, //  # #
        0x00, //
        0x00, //

        /* @210 '\x1E' (5 pixels wide) */
        0x00, //
        0x20, //   #
        0x20, //   #
        0x70, //  ###
        0xF8, // #####
        0xF8, // #####
        0x00, //

        /* @217 '\x1F' (5 pixels wide) */
        0x00, //
        0xF8, // #####
        0xF8, // #####
        0x70, //  ###
        0x20, //   #
        0x20, //   #
        0x00, //

        /* @224 ' ' (5 pixels wide) */
        0x00, //
        0x00, //
        0x00, //
        0x00, //
        0x00, //
        0x00, //
        0x00, //

        /* @231 '!' (5 pixels wide) */
        0x20, //   #
        0x20, //   #
        0x20, //   #
        0x20, //   #
        0x20, //   #
        0x00, //
        0x20, //   #

        /* @238 '"' (5 pixels wide) */
        0x50, //  # #
        0x50, //  # #
        0x50, //  # #
        0x00, //
        0x00, //
        0x00, //
        0x00, //

        /* @245 '#' (5 pixels wide) */
        0x50, //  # #
        0x50, //  # #
        0xF8, // #####
        0x50, //  # #
        0xF8, // #####
        0x50, //  # #
        0x50, //  # #

        /* @252 '$' (5 pixels wide) */
        0x20, //   #
        0x78, //  ####
        0xA0, // # #
        0x70, //  ###
        0x28, //   # #
        0xF0, // ####
        0x20, //   #

        /* @259 '%' (5 pixels wide) */
        0xC0, // ##
        0xC8, // ##  #
        0x10, //    #
        0x20, //   #
        0x40, //  #
        0x98, // #  ##
        0x18, //    ##

        /* @266 '&' (5 pixels wide) */
        0x40, //  #
        0xA0, // # #
        0xA0, // # #
        0x40, //  #
        0xA8, // # # #
        0x90, // #  #
        0x68, //  ## #

        /* @273 ''' (5 pixels wide) */
        0x30, //   ##
        0x30, //   ##
        0x20, //   #
        0x40, //  #
        0x00, //
        0x00, //
        0x00, //

        /* @280 '(' (5 pixels wide) */
        0x10, //    #
        0x20, //   #
        0x40, //  #
        0x40, //  #
        0x40, //  #
        0x20, //   #
        0x10, //    #

        /* @287 ')' (5 pixels wide) */
        0x40, //  #
        0x20, //   #
        0x10, //    #
        0x10, //    #
        0x10, //    #
        0x20, //   #
        0x40, //  #

        /* @294 '*' (5 pixels wide) */
        0x20, //   #
        0xA8, // # # #
        0x70, //  ###
        0xF8, // #####
        0x70, //  ###
        0xA8, // # # #
        0x20, //   #

        /* @301 '+' (5 pixels wide) */
        0x00, //
        0x20, //   #
        0x20, //   #
        0xF8, // #####
        0x20, //   #
        0x20, //   #
        0x00, //

        /* @308 ',' (5 pixels wide) */
        0x00, //
        0x00, //
        0x00, //
        0x00, //
        0x30, //   ##
        0x30, //   ##
        0x20, //   #

        /* @315 '-' (5 pixels wide) */
        0x00, //
        0x00, //
        0x00, //
        0xF8, // #####
        0x00, //
        0x00, //
        0x00, //

        /* @322 '.' (5 pixels wide) */
        0x00, //
        0x00, //
        0x00, //
        0x00, //
        0x00, //
        0x30, //   ##
        0x30, //   ##

        /* @329 '/' (5 pixels wide) */
        0x00, //
        0x08, //     #
        0x10, //    #
        0x20, //   #
        0x40, //  #
        0x80, // #
        0x00, //

        /* @336 '0' (5 pixels wide) */
        0x70, //  ###
        0x88, // #   #
        0x98, // #  ##
        0xA8, // # # #
        0xC8, // ##  #
        0x88, // #   #
        0x70, //  ###

        /* @343 '1' (5 pixels wide) */
        0x20, //   #
        0x60, //  ##
        0x20, //   #
        0x20, //   #
        0x20, //   #
        0x20, //   #
        0x70, //  ###

        /* @350 '2' (5 pixels wide) */
        0x70, //  ###
        0x88, // #   #
        0x08, //     #
        0x70, //  ###
        0x80, // #
        0x80, // #
        0xF8, // #####

        /* @357 '3' (5 pixels wide) */
        0xF8, // #####
        0x08, //     #
        0x10, //    #
        0x30, //   ##
        0x08, //     #
        0x88, // #   #
        0x70, //  ###

        /* @364 '4' (5 pixels wide) */
        0x10, //    #
        0x30, //   ##
        0x50, //  # #
        0x90, // #  #
        0xF8, // #####
        0x10, //    #
        0x10, //    #

        /* @371 '5' (5 pixels wide) */
        0xF8, // #####
        0x80, // #
        0xF0, // ####
        0x08, //     #
        0x08, //     #
        0x88, // #   #
        0x70, //  ###

        /* @378 '6' (5 pixels wide) */
        0x38, //   ###
        0x40, //  #
        0x80, // #
        0xF0, // ####
        0x88, // #   #
        0x88, // #   #
        0x70, //  ###

        /* @385 '7' (5 pixels wide) */
        0xF8, // #####
        0x08, //     #
        0x08, //     #
        0x10, //    #
        0x20, //   #
        0x40, //  #
        0x80, // #

        /* @392 '8' (5 pixels wide) */
        0x70, //  ###
        0x88, // #   #
        0x88, // #   #
        0x70, //  ###
        0x88, // #   #
        0x88, // #   #
        0x70, //  ###

        /* @399 '9' (5 pixels wide) */
        0x70, //  ###
        0x88, // #   #
        0x88, // #   #
        0x78, //  ####
        0x08, //     #
        0x10, //    #
        0xE0, // ###

        /* @406 ':' (5 pixels wide) */
        0x00, //
        0x00, //
        0x20, //   #
        0x00, //
        0x20, //   #
        0x00, //
        0x00, //

        /* @413 ';' (5 pixels wide) */
        0x00, //
        0x00, //
        0x20, //   #
        0x00, //
        0x20, //   #
        0x20, //   #
        0x40, //  #

        /* @420 '<' (5 pixels wide) */
        0x08, //     #
        0x10, //    #
        0x20, //   #
        0x40, //  #
        0x20, //   #
        0x10, //    #
        0x08, //     #

        /* @427 '=' (5 pixels wide) */
        0x00, //
        0x00, //
        0xF8, // #####
        0x00, //
        0xF8, // #####
        0x00, //
        0x00, //

        /* @434 '>' (5 pixels wide) */
        0x40, //  #
        0x20, //   #
        0x10, //    #
        0x08, //     #
        0x10, //    #
        0x20, //   #
        0x40, //  #

        /* @441 '?' (5 pixels wide) */
        0x70, //  ###
        0x88, // #   #
        0x08, //     #
        0x30, //   ##
        0x20, //   #
        0x00, //
        0x20, //   #

        /* @448 '@' (5 pixels wide) */
        0x70, //  ###
        0x88, // #   #
        0xA8, // # # #
        0xB8, // # ###
        0xB0, // # ##
        0x80, // #
        0x78, //  ####

        /* @455 'A' (5 pixels wide) */
        0x20, //   #
        0x50, //  # #
        0x88, // #   #
        0x88, // #   #
        0xF8, // #####
        0x88, // #   #
        0x88, // #   #

        /* @462 'B' (5 pixels wide) */
        0xF0, // ####
        0x88, // #   #
        0x88, // #   #
        0xF0, // ####
        0x88, // #   #
        0x88, // #   #
        0xF0, // ####

        /* @469 'C' (5 pixels wide) */
        0x70, //  ###
        0x88, // #   #
        0x80, // #
        0x80, // #
        0x80, // #
        0x88, // #   #
        0x70, //  ###

        /* @476 'D' (5 pixels wide) */
        0xF0, // ####
        0x88, // #   #
        0x88, // #   #
        0x88, // #   #
        0x88, // #   #
        0x88, // #   #
        0xF0, // ####

        /* @483 'E' (5 pixels wide) */
        0xF8, // #####
        0x80, // #
        0x80, // #
        0xF0, // ####
        0x80, // #
        0x80, // #
        0xF8, // #####

        /* @490 'F' (5 pixels wide) */
        0xF8, // #####
        0x80, // #
        0x80, // #
        0xF0, // ####
        0x80, // #
        0x80, // #
        0x80, // #

        /* @497 'G' (5 pixels wide) */
        0x78, //  ####
        0x88, // #   #
        0x80, // #
        0x80, // #
        0x98, // #  ##
        0x88, // #   #
        0x78, //  ####

        /* @504 'H' (5 pixels wide) */
        0x88, // #   #
        0x88, // #   #
        0x88, // #   #
        0xF8, // #####
        0x88, // #   #
        0x88, // #   #
        0x88, // #   #

        /* @511 'I' (5 pixels wide) */
        0x70, //  ###
        0x20, //   #
        0x20, //   #
        0x20, //   #
        0x20, //   #
        0x20, //   #
        0x70, //  ###

        /* @518 'J' (5 pixels wide) */
        0x38, //   ###
        0x10, //    #
        0x10, //    #
        0x10, //    #
        0x10, //    #
        0x90, // #  #
        0x60, //  ##

        /* @525 'K' (5 pixels wide) */
        0x88, // #   #
        0x90, // #  #
        0xA0, // # #
        0xC0, // ##
        0xA0, // # #
        0x90, // #  #
        0x88, // #   #

        /* @532 'L' (5 pixels wide) */
        0x80, // #
        0x80, // #
        0x80, // #
        0x80, // #
        0x80, // #
        0x80, // #
        0xF8, // #####

        /* @539 'M' (5 pixels wide) */
        0x88, // #   #
        0xD8, // ## ##
        0xA8, // # # #
        0xA8, // # # #
        0xA8, // # # #
        0x88, // #   #
        0x88, // #   #

        /* @546 'N' (5 pixels wide) */
        0x88, // #   #
        0x88, // #   #
        0xC8, // ##  #
        0xA8, // # # #
        0x98, // #  ##
        0x88, // #   #
        0x88, // #   #

        /* @553 'O' (5 pixels wide) */
        0x70, //  ###
        0x88, // #   #
        0x88, // #   #
        0x88, // #   #
        0x88, // #   #
        0x88, // #   #
        0x70, //  ###

        /* @560 'P' (5 pixels wide) */
        0xF0, // ####
        0x88, // #   #
        0x88, // #   #
        0xF0, // ####
        0x80, // #
        0x80, // #
        0x80, // #

        /* @567 'Q' (5 pixels wide) */
        0x70, //  ###
        0x88, // #   #
        0x88, // #   #
        0x88, // #   #
        0xA8, // # # #
        0x90, // #  #
        0x68, //  ## #

        /* @574 'R' (5 pixels wide) */
        0xF0, // ####
        0x88, // #   #
        0x88, // #   #
        0xF0, // ####
        0xA0, // # #
        0x90, // #  #
        0x88, // #   #

        /* @581 'S' (5 pixels wide) */
        0x70, //  ###
        0x88, // #   #
        0x80, // #
        0x70, //  ###
        0x08, //     #
        0x88, // #   #
        0x70, //  ###

        /* @588 'T' (5 pixels wide) */
        0xF8, // #####
        0xA8, // # # #
        0x20, //   #
        0x20, //   #
        0x20, //   #
        0x20, //   #
        0x20, //   #

        /* @595 'U' (5 pixels wide) */
        0x88, // #   #
        0x88, // #   #
        0x88, // #   #
        0x88, // #   #
        0x88, // #   #
        0x88, // #   #
        0x70, //  ###

        /* @602 'V' (5 pixels wide) */
        0x88, // #   #
        0x88, // #   #
        0x88, // #   #
        0x88, // #   #
        0x88, // #   #
        0x50, //  # #
        0x20, //   #

        /* @609 'W' (5 pixels wide) */
        0x88, // #   #
        0x88, // #   #
        0x88, // #   #
        0xA8, // # # #
        0xA8, // # # #
        0xA8, // # # #
        0x50, //  # #

        /* @616 'X' (5 pixels wide) */
        0x88, // #   #
        0x88, // #   #
        0x50, //  # #
        0x20, //   #
        0x50, //  # #
        0x88, // #   #
        0x88, // #   #

        /* @623 'Y' (5 pixels wide) */
        0x88, // #   #
        0x88, // #   #
        0x50, //  # #
        0x20, //   #
        0x20, //   #
        0x20, //   #
        0x20, //   #

        /* @630 'Z' (5 pixels wide) */
        0xF8, // #####
        0x08, //     #
        0x10, //    #
        0x70, //  ###
        0x40, //  #
        0x80, // #
        0xF8, // #####

        /* @637 '[' (5 pixels wide) */
        0x78, //  ####
        0x40, //  #
        0x40, //  #
        0x40, //  #
        0x40, //  #
        0x40, //  #
        0x78, //  ####

        /* @644 '\' (5 pixels wide) */
        0x00, //
        0x80, // #
        0x40, //  #
        0x20, //   #
        0x10, //    #
        0x08, //     #
        0x00, //

        /* @651 ']' (5 pixels wide) */
        0x78, //  ####
        0x08, //     #
        0x08, //     #
        0x08, //     #
        0x08, //     #
        0x08, //     #
        0x78, //  ####

        /* @658 '^' (5 pixels wide) */
        0x20, //   #
        0x50, //  # #
        0x88, // #   #
        0x00, //
        0x00, //
        0x00, //
        0x00, //

        /* @665 '_' (5 pixels wide) */
        0x00, //
        0x00, //
        0x00, //
        0x00, //
        0x00, //
        0x00, //
        0xF8, // #####

        /* @672 '`' (5 pixels wide) */
        0x60, //  ##
        0x60, //  ##
        0x20, //   #
        0x10, //    #
        0x00, //
        0x00, //
        0x00, //

        /* @679 'a' (5 pixels wide) */
        0x00, //
        0x00, //
        0x60, //  ##
        0x10, //    #
        0x70, //  ###
        0x90, // #  #
        0x78, //  ####

        /* @686 'b' (5 pixels wide) */
        0x80, // #
        0x80, // #
        0xB0, // # ##
        0xC8, // ##  #
        0x88, // #   #
        0xC8, // ##  #
        0xB0, // # ##

        /* @693 'c' (5 pixels wide) */
        0x00, //
        0x00, //
        0x70, //  ###
        0x88, // #   #
        0x80, // #
        0x88, // #   #
        0x70, //  ###

        /* @700 'd' (5 pixels wide) */
        0x08, //     #
        0x08, //     #
        0x68, //  ## #
        0x98, // #  ##
        0x88, // #   #
        0x98, // #  ##
        0x68, //  ## #

        /* @707 'e' (5 pixels wide) */
        0x00, //
        0x00, //
        0x70, //  ###
        0x88, // #   #
        0xF8, // #####
        0x80, // #
        0x70, //  ###

        /* @714 'f' (5 pixels wide) */
        0x10, //    #
        0x28, //   # #
        0x20, //   #
        0x70, //  ###
        0x20, //   #
        0x20, //   #
        0x20, //   #

        /* @721 'g' (5 pixels wide) */
        0x00, //
        0x00, //
        0x70, //  ###
        0x98, // #  ##
        0x98, // #  ##
        0x68, //  ## #
        0x08, //     #

        /* @728 'h' (5 pixels wide) */
        0x80, // #
        0x80, // #
        0xB0, // # ##
        0xC8, // ##  #
        0x88, // #   #
        0x88, // #   #
        0x88, // #   #

        /* @735 'i' (5 pixels wide) */
        0x20, //   #
        0x00, //
        0x60, //  ##
        0x20, //   #
        0x20, //   #
        0x20, //   #
        0x70, //  ###

        /* @742 'j' (5 pixels wide) */
        0x10, //    #
        0x00, //
        0x10, //    #
        0x10, //    #
        0x10, //    #
        0x90, // #  #
        0x60, //  ##

        /* @749 'k' (5 pixels wide) */
        0x80, // #
        0x80, // #
        0x90, // #  #
        0xA0, // # #
        0xC0, // ##
        0xA0, // # #
        0x90, // #  #

        /* @756 'l' (5 pixels wide) */
        0x60, //  ##
        0x20, //   #
        0x20, //   #
        0x20, //   #
        0x20, //   #
        0x20, //   #
        0x70, //  ###

        /* @763 'm' (5 pixels wide) */
        0x00, //
        0x00, //
        0xD0, // ## #
        0xA8, // # # #
        0xA8, // # # #
        0xA8, // # # #
        0xA8, // # # #

        /* @770 'n' (5 pixels wide) */
        0x00, //
        0x00, //
        0xB0, // # ##
        0xC8, // ##  #
        0x88, // #   #
        0x88, // #   #
        0x88, // #   #

        /* @777 'o' (5 pixels wide) */
        0x00, //
        0x00, //
        0x70, //  ###
        0x88, // #   #
        0x88, // #   #
        0x88, // #   #
        0x70, //  ###

        /* @784 'p' (5 pixels wide) */
        0x00, //
        0x00, //
        0xB0, // # ##
        0xC8, // ##  #
        0xC8, // ##  #
        0xB0, // # ##
        0x80, // #

        /* @791 'q' (5 pixels wide) */
        0x00, //
        0x00, //
        0x68, //  ## #
        0x98, // #  ##
        0x98, // #  ##
        0x68, //  ## #
        0x08, //     #

        /* @798 'r' (5 pixels wide) */
        0x00, //
        0x00, //
        0xB0, // # ##
        0xC8, // ##  #
        0x80, // #
        0x80, // #
        0x80, // #

        /* @805 's' (5 pixels wide) */
        0x00, //
        0x00, //
        0x78, //  ####
        0x80, // #
        0x70, //  ###
        0x08, //     #
        0xF0, // ####

        /* @812 't' (5 pixels wide) */
        0x20, //   #
        0x20, //   #
        0xF8, // #####
        0x20, //   #
        0x20, //   #
        0x28, //   # #
        0x10, //    #

        /* @819 'u' (5 pixels wide) */
        0x00, //
        0x00, //
        0x88, // #   #
        0x88, // #   #
        0x88, // #   #
        0x98, // #  ##
        0x68, //  ## #

        /* @826 'v' (5 pixels wide) */
        0x00, //
        0x00, //
        0x88, // #   #
        0x88, // #   #
        0x88, // #   #
        0x50, //  # #
        0x20, //   #

        /* @833 'w' (5 pixels wide) */
        0x00, //
        0x00, //
        0x88, // #   #
        0x88, // #   #
        0xA8, // # # #
        0xA8, // # # #
        0x50, //  # #

        /* @840 'x' (5 pixels wide) */
        0x00, //
        0x00, //
        0x88, // #   #
        0x50, //  # #
        0x20, //   #
        0x50, //  # #
        0x88, // #   #

        /* @847 'y' (5 pixels wide) */
        0x00, //
        0x00, //
        0x88, // #   #
        0x88, // #   #
        0x78, //  ####
        0x08, //     #
        0x88, // #   #

        /* @854 'z' (5 pixels wide) */
        0x00, //
        0x00, //
        0xF8, // #####
        0x10, //    #
        0x20, //   #
        0x40, //  #
        0xF8, // #####

        /* @861 '{' (5 pixels wide) */
        0x10, //    #
        0x20, //   #
        0x20, //   #
        0x40, //  #
        0x20, //   #
        0x20, //   #
        0x10, //    #

        /* @868 '|' (5 pixels wide) */
        0x20, //   #
        0x20, //   #
        0x20, //   #
        0x00, //
        0x20, //   #
        0x20, //   #
        0x20, //   #

        /* @875 '}' (5 pixels wide) */
        0x40, //  #
        0x20, //   #
        0x20, //   #
        0x10, //    #
        0x20, //   #
        0x20, //   #
        0x40, //  #

        /* @882 '~' (5 pixels wide) */
        0x40, //  #
        0xA8, // # # #
        0x10, //    #
        0x00, //
        0x00, //
        0x00, //
        0x00, //

        /* @889 '\x7F' (5 pixels wide) */
        0x20, //   #
        0x70, //  ###
        0xD8, // ## ##
        0x88, // #   #
        0x88, // #   #
        0xF8, // #####
        0x00, //

        /* @896 '\x80' (5 pixels wide) */
        0x70, //  ###
        0x88, // #   #
        0x80, // #
        0x80, // #
        0x88, // #   #
        0x70, //  ###
        0x10, //    #

        /* @903 '\x81' (5 pixels wide) */
        0x00, //
        0x88, // #   #
        0x00, //
        0x88, // #   #
        0x88, // #   #
        0x98, // #  ##
        0x68, //  ## #

        /* @910 '\x82' (5 pixels wide) */
        0x18, //    ##
        0x00, //
        0x70, //  ###
        0x88, // #   #
        0xF8, // #####
        0x80, // #
        0x78, //  ####

        /* @917 '\x83' (5 pixels wide) */
        0xF8, // #####
        0x00, //
        0x60, //  ##
        0x10, //    #
        0x70, //  ###
        0x90, // #  #
        0x78, //  ####

        /* @924 '\x84' (5 pixels wide) */
        0x00, //
        0x88, // #   #
        0x60, //  ##
        0x10, //    #
        0x70, //  ###
        0x90, // #  #
        0x78, //  ####

        /* @931 '\x85' (5 pixels wide) */
        0xC0, // ##
        0x00, //
        0x60, //  ##
        0x10, //    #
        0x70, //  ###
        0x90, // #  #
        0x78, //  ####

        /* @938 '\x86' (5 pixels wide) */
        0x30, //   ##
        0x00, //
        0x60, //  ##
        0x10, //    #
        0x70, //  ###
        0x90, // #  #
        0x78, //  ####

        /* @945 '\x87' (5 pixels wide) */
        0x00, //
        0x78, //  ####
        0xC0, // ##
        0xC0, // ##
        0x78, //  ####
        0x10, //    #
        0x30, //   ##

        /* @952 '\x88' (5 pixels wide) */
        0xF8, // #####
        0x00, //
        0x70, //  ###
        0x88, // #   #
        0xF8, // #####
        0x80, // #
        0x78, //  ####

        /* @959 '\x89' (5 pixels wide) */
        0x88, // #   #
        0x00, //
        0x70, //  ###
        0x88, // #   #
        0xF8, // #####
        0x80, // #
        0x78, //  ####

        /* @966 '\x8A' (5 pixels wide) */
        0xC0, // ##
        0x00, //
        0x70, //  ###
        0x88, // #   #
        0xF8, // #####
        0x80, // #
        0x78, //  ####

        /* @973 '\x8B' (5 pixels wide) */
        0x28, //   # #
        0x00, //
        0x30, //   ##
        0x10, //    #
        0x10, //    #
        0x10, //    #
        0x38, //   ###

        /* @980 '\x8C' (5 pixels wide) */
        0x30, //   ##
        0x48, //  #  #
        0x30, //   ##
        0x10, //    #
        0x10, //    #
        0x10, //    #
        0x38, //   ###

        /* @987 '\x8D' (5 pixels wide) */
        0x60, //  ##
        0x00, //
        0x30, //   ##
        0x10, //    #
        0x10, //    #
        0x10, //    #
        0x38, //   ###

        /* @994 '\x8E' (5 pixels wide) */
        0xA8, // # # #
        0x50, //  # #
        0x88, // #   #
        0x88, // #   #
        0xF8, // #####
        0x88, // #   #
        0x88, // #   #

        /* @1001 '\x8F' (5 pixels wide) */
        0x20, //   #
        0x00, //
        0x20, //   #
        0x50, //  # #
        0x88, // #   #
        0xF8, // #####
        0x88, // #   #

        /* @1008 '\x90' (5 pixels wide) */
        0x30, //   ##
        0x00, //
        0xF0, // ####
        0x80, // #
        0xE0, // ###
        0x80, // #
        0xF0, // ####

        /* @1015 '\x91' (5 pixels wide) */
        0x00, //
        0x00, //
        0x78, //  ####
        0x10, //    #
        0x78, //  ####
        0x90, // #  #
        0x78, //  ####

        /* @1022 '\x92' (5 pixels wide) */
        0x38, //   ###
        0x50, //  # #
        0x90, // #  #
        0xF8, // #####
        0x90, // #  #
        0x90, // #  #
        0x98, // #  ##

        /* @1029 '\x93' (5 pixels wide) */
        0x70, //  ###
        0x88, // #   #
        0x00, //
        0x70, //  ###
        0x88, // #   #
        0x88, // #   #
        0x70, //  ###

        /* @1036 '\x94' (5 pixels wide) */
        0x00, //
        0x88, // #   #
        0x70, //  ###
        0x88, // #   #
        0x88, // #   #
        0x88, // #   #
        0x70, //  ###

        /* @1043 '\x95' (5 pixels wide) */
        0x00, //
        0xC0, // ##
        0x00, //
        0x70, //  ###
        0x88, // #   #
        0x88, // #   #
        0x70, //  ###

        /* @1050 '\x96' (5 pixels wide) */
        0x70, //  ###
        0x88, // #   #
        0x00, //
        0x88, // #   #
        0x88, // #   #
        0x98, // #  ##
        0x68, //  ## #

        /* @1057 '\x97' (5 pixels wide) */
        0x00, //
        0xC0, // ##
        0x00, //
        0x88, // #   #
        0x88, // #   #
        0x98, // #  ##
        0x68, //  ## #

        /* @1064 '\x98' (5 pixels wide) */
        0x48, //  #  #
        0x00, //
        0x48, //  #  #
        0x48, //  #  #
        0x48, //  #  #
        0x38, //   ###
        0x08, //     #

        /* @1071 '\x99' (5 pixels wide) */
        0x88, // #   #
        0x70, //  ###
        0x88, // #   #
        0x88, // #   #
        0x88, // #   #
        0x88, // #   #
        0x70, //  ###

        /* @1078 '\x9A' (5 pixels wide) */
        0x88, // #   #
        0x00, //
        0x88, // #   #
        0x88, // #   #
        0x88, // #   #
        0x88, // #   #
        0x70, //  ###

        /* @1085 '\x9B' (5 pixels wide) */
        0x20, //   #
        0x20, //   #
        0xF8, // #####
        0xA0, // # #
        0xA0, // # #
        0xF8, // #####
        0x20, //   #

        /* @1092 '\x9C' (5 pixels wide) */
        0x30, //   ##
        0x58, //  # ##
        0x48, //  #  #
        0xE0, // ###
        0x40, //  #
        0x48, //  #  #
        0xF8, // #####

        /* @1099 '\x9D' (5 pixels wide) */
        0xD8, // ## ##
        0xD8, // ## ##
        0x70, //  ###
        0xF8, // #####
        0x20, //   #
        0xF8, // #####
        0x20, //   #

        /* @1106 '\x9E' (5 pixels wide) */
        0xE0, // ###
        0x90, // #  #
        0x90, // #  #
        0xE0, // ###
        0x90, // #  #
        0xB8, // # ###
        0x90, // #  #

        /* @1113 '\x9F' (5 pixels wide) */
        0x18, //    ##
        0x28, //   # #
        0x20, //   #
        0x70, //  ###
        0x20, //   #
        0x20, //   #
        0xA0, // # #

        /* @1120 '\xA0' (5 pixels wide) */
        0x18, //    ##
        0x00, //
        0x60, //  ##
        0x10, //    #
        0x70, //  ###
        0x90, // #  #
        0x78, //  ####

        /* @1127 '\xA1' (5 pixels wide) */
        0x18, //    ##
        0x00, //
        0x30, //   ##
        0x10, //    #
        0x10, //    #
        0x10, //    #
        0x38, //   ###

        /* @1134 '\xA2' (5 pixels wide) */
        0x00, //
        0x18, //    ##
        0x00, //
        0x70, //  ###
        0x88, // #   #
        0x88, // #   #
        0x70, //  ###

        /* @1141 '\xA3' (5 pixels wide) */
        0x00, //
        0x18, //    ##
        0x00, //
        0x88, // #   #
        0x88, // #   #
        0x98, // #  ##
        0x68, //  ## #

        /* @1148 '\xA4' (5 pixels wide) */
        0x00, //
        0x78, //  ####
        0x00, //
        0x70, //  ###
        0x48, //  #  #
        0x48, //  #  #
        0x48, //  #  #

        /* @1155 '\xA5' (5 pixels wide) */
        0xF8, // #####
        0x00, //
        0xC8, // ##  #
        0xE8, // ### #
        0xB8, // # ###
        0x98, // #  ##
        0x88, // #   #

        /* @1162 '\xA6' (5 pixels wide) */
        0x70, //  ###
        0x90, // #  #
        0x90, // #  #
        0x78, //  ####
        0x00, //
        0xF8, // #####
        0x00, //

        /* @1169 '\xA7' (5 pixels wide) */
        0x70, //  ###
        0x88, // #   #
        0x88, // #   #
        0x70, //  ###
        0x00, //
        0xF8, // #####
        0x00, //

        /* @1176 '\xA8' (5 pixels wide) */
        0x20, //   #
        0x00, //
        0x20, //   #
        0x60, //  ##
        0x80, // #
        0x88, // #   #
        0x70, //  ###

        /* @1183 '\xA9' (5 pixels wide) */
        0x00, //
        0x00, //
        0x00, //
        0xF8, // #####
        0x80, // #
        0x80, // #
        0x00, //

        /* @1190 '\xAA' (5 pixels wide) */
        0x00, //
        0x00, //
        0x00, //
        0xF8, // #####
        0x08, //     #
        0x08, //     #
        0x00, //

        /* @1197 '\xAB' (5 pixels wide) */
        0x80, // #
        0x88, // #   #
        0x90, // #  #
        0xB8, // # ###
        0x48, //  #  #
        0x98, // #  ##
        0x20, //   #

        /* @1204 '\xAC' (5 pixels wide) */
        0x80, // #
        0x88, // #   #
        0x90, // #  #
        0xA8, // # # #
        0x58, //  # ##
        0xB8, // # ###
        0x08, //     #

        /* @1211 '\xAD' (5 pixels wide) */
        0x20, //   #
        0x20, //   #
        0x00, //
        0x20, //   #
        0x20, //   #
        0x20, //   #
        0x20, //   #

        /* @1218 '\xAE' (5 pixels wide) */
        0x00, //
        0x28, //   # #
        0x50, //  # #
        0xA0, // # #
        0x50, //  # #
        0x28, //   # #
        0x00, //

        /* @1225 '\xAF' (5 pixels wide) */
        0x00, //
        0xA0, // # #
        0x50, //  # #
        0x28, //   # #
        0x50, //  # #
        0xA0, // # #
        0x00, //

        /* @1232 '\xB0' (5 pixels wide) */
        0x20, //   #
        0x88, // #   #
        0x20, //   #
        0x88, // #   #
        0x20, //   #
        0x88, // #   #
        0x20, //   #

        /* @1239 '\xB1' (5 pixels wide) */
        0x50, //  # #
        0xA8, // # # #
        0x50, //  # #
        0xA8, // # # #
        0x50, //  # #
        0xA8, // # # #
        0x50, //  # #

        /* @1246 '\xB2' (5 pixels wide) */
        0x10, //    #
        0x10, //    #
        0x10, //    #
        0x10, //    #
        0x10, //    #
        0x10, //    #
        0x10, //    #

        /* @1253 '\xB3' (5 pixels wide) */
        0x10, //    #
        0x10, //    #
        0x10, //    #
        0x10, //    #
        0xF0, // ####
        0x10, //    #
        0x10, //    #

        /* @1260 '\xB4' (5 pixels wide) */
        0x10, //    #
        0x10, //    #
        0xF0, // ####
        0x10, //    #
        0xF0, // ####
        0x10, //    #
        0x10, //    #

        /* @1267 '\xB5' (5 pixels wide) */
        0x28, //   # #
        0x28, //   # #
        0x28, //   # #
        0x28, //   # #
        0xE8, // ### #
        0x28, //   # #
        0x28, //   # #

        /* @1274 '\xB6' (5 pixels wide) */
        0x00, //
        0x00, //
        0x00, //
        0x00, //
        0xF8, // #####
        0x28, //   # #
        0x28, //   # #

        /* @1281 '\xB7' (5 pixels wide) */
        0x00, //
        0x00, //
        0xF0, // ####
        0x10, //    #
        0xF0, // ####
        0x10, //    #
        0x10, //    #

        /* @1288 '\xB8' (5 pixels wide) */
        0x28, //   # #
        0x28, //   # #
        0xE8, // ### #
        0x08, //     #
        0xE8, // ### #
        0x28, //   # #
        0x28, //   # #

        /* @1295 '\xB9' (5 pixels wide) */
        0x28, //   # #
        0x28, //   # #
        0x28, //   # #
        0x28, //   # #
        0x28, //   # #
        0x28, //   # #
        0x28, //   # #

        /* @1302 '\xBA' (5 pixels wide) */
        0x00, //
        0x00, //
        0xF8, // #####
        0x08, //     #
        0xE8, // ### #
        0x28, //   # #
        0x28, //   # #

        /* @1309 '\xBB' (5 pixels wide) */
        0x28, //   # #
        0x28, //   # #
        0xE8, // ### #
        0x08, //     #
        0xF8, // #####
        0x00, //
        0x00, //

        /* @1316 '\xBC' (5 pixels wide) */
        0x28, //   # #
        0x28, //   # #
        0x28, //   # #
        0x28, //   # #
        0xF8, // #####
        0x00, //
        0x00, //

        /* @1323 '\xBD' (5 pixels wide) */
        0x10, //    #
        0x10, //    #
        0xF0, // ####
        0x10, //    #
        0xF0, // ####
        0x00, //
        0x00, //

        /* @1330 '\xBE' (5 pixels wide) */
        0x00, //
        0x00, //
        0x00, //
        0x00, //
        0xF0, // ####
        0x10, //    #
        0x10, //    #

        /* @1337 '\xBF' (5 pixels wide) */
        0x10, //    #
        0x10, //    #
        0x10, //    #
        0x10, //    #
        0x18, //    ##
        0x00, //
        0x00, //

        /* @1344 '\xC0' (5 pixels wide) */
        0x10, //    #
        0x10, //    #
        0x10, //    #
        0x10, //    #
        0xF8, // #####
        0x00, //
        0x00, //

        /* @1351 '\xC1' (5 pixels wide) */
        0x00, //
        0x00, //
        0x00, //
        0x00, //
        0xF8, // #####
        0x10, //    #
        0x10, //    #

        /* @1358 '\xC2' (5 pixels wide) */
        0x10, //    #
        0x10, //    #
        0x10, //    #
        0x10, //    #
        0x18, //    ##
        0x10, //    #
        0x10, //    #

        /* @1365 '\xC3' (5 pixels wide) */
        0x00, //
        0x00, //
        0x00, //
        0x00, //
        0xF8, // #####
        0x00, //
        0x00, //

        /* @1372 '\xC4' (5 pixels wide) */
        0x10, //    #
        0x10, //    #
        0x10, //    #
        0x10, //    #
        0xF8, // #####
        0x10, //    #
        0x10, //    #

        /* @1379 '\xC5' (5 pixels wide) */
        0x10, //    #
        0x10, //    #
        0x18, //    ##
        0x10, //    #
        0x18, //    ##
        0x10, //    #
        0x10, //    #

        /* @1386 '\xC6' (5 pixels wide) */
        0x28, //   # #
        0x28, //   # #
        0x28, //   # #
        0x28, //   # #
        0x28, //   # #
        0x28, //   # #
        0x28, //   # #

        /* @1393 '\xC7' (5 pixels wide) */
        0x28, //   # #
        0x28, //   # #
        0x28, //   # #
        0x20, //   #
        0x38, //   ###
        0x00, //
        0x00, //

        /* @1400 '\xC8' (5 pixels wide) */
        0x00, //
        0x00, //
        0x38, //   ###
        0x20, //   #
        0x28, //   # #
        0x28, //   # #
        0x28, //   # #

        /* @1407 '\xC9' (5 pixels wide) */
        0x28, //   # #
        0x28, //   # #
        0xE8, // ### #
        0x00, //
        0xF8, // #####
        0x00, //
        0x00, //

        /* @1414 '\xCA' (5 pixels wide) */
        0x00, //
        0x00, //
        0xF8, // #####
        0x00, //
        0xE8, // ### #
        0x28, //   # #
        0x28, //   # #

        /* @1421 '\xCB' (5 pixels wide) */
        0x28, //   # #
        0x28, //   # #
        0x28, //   # #
        0x20, //   #
        0x28, //   # #
        0x28, //   # #
        0x28, //   # #

        /* @1428 '\xCC' (5 pixels wide) */
        0x00, //
        0x00, //
        0xF8, // #####
        0x00, //
        0xF8, // #####
        0x00, //
        0x00, //

        /* @1435 '\xCD' (5 pixels wide) */
        0x28, //   # #
        0x28, //   # #
        0xE8, // ### #
        0x00, //
        0xE8, // ### #
        0x28, //   # #
        0x28, //   # #

        /* @1442 '\xCE' (5 pixels wide) */
        0x10, //    #
        0x10, //    #
        0xF8, // #####
        0x00, //
        0xF8, // #####
        0x00, //
        0x00, //

        /* @1449 '\xCF' (5 pixels wide) */
        0x28, //   # #
        0x28, //   # #
        0x28, //   # #
        0x28, //   # #
        0xF8, // #####
        0x00, //
        0x00, //

        /* @1456 '\xD0' (5 pixels wide) */
        0x00, //
        0x00, //
        0xF8, // #####
        0x00, //
        0xF8, // #####
        0x10, //    #
        0x10, //    #

        /* @1463 '\xD1' (5 pixels wide) */
        0x00, //
        0x00, //
        0x00, //
        0x00, //
        0xF8, // #####
        0x28, //   # #
        0x28, //   # #

        /* @1470 '\xD2' (5 pixels wide) */
        0x28, //   # #
        0x28, //   # #
        0x28, //   # #
        0x28, //   # #
        0x38, //   ###
        0x00, //
        0x00, //

        /* @1477 '\xD3' (5 pixels wide) */
        0x10, //    #
        0x10, //    #
        0x18, //    ##
        0x10, //    #
        0x18, //    ##
        0x00, //
        0x00, //

        /* @1484 '\xD4' (5 pixels wide) */
        0x00, //
        0x00, //
        0x18, //    ##
        0x10, //    #
        0x18, //    ##
        0x10, //    #
        0x10, //    #

        /* @1491 '\xD5' (5 pixels wide) */
        0x00, //
        0x00, //
        0x00, //
        0x00, //
        0x38, //   ###
        0x28, //   # #
        0x28, //   # #

        /* @1498 '\xD6' (5 pixels wide) */
        0x28, //   # #
        0x28, //   # #
        0x28, //   # #
        0x28, //   # #
        0xF8, // #####
        0x28, //   # #
        0x28, //   # #

        /* @1505 '\xD7' (5 pixels wide) */
        0x10, //    #
        0x10, //    #
        0xF8, // #####
        0x10, //    #
        0xF8, // #####
        0x10, //    #
        0x10, //    #

        /* @1512 '\xD8' (5 pixels wide) */
        0x10, //    #
        0x10, //    #
        0x10, //    #
        0x10, //    #
        0xF0, // ####
        0x00, //
        0x00, //

        /* @1519 '\xD9' (5 pixels wide) */
        0x00, //
        0x00, //
        0x00, //
        0x00, //
        0x18, //    ##
        0x10, //    #
        0x10, //    #

        /* @1526 '\xDA' (5 pixels wide) */
        0xF8, // #####
        0xF8, // #####
        0xF8, // #####
        0xF8, // #####
        0xF8, // #####
        0xF8, // #####
        0xF8, // #####

        /* @1533 '\xDB' (5 pixels wide) */
        0x00, //
        0x00, //
        0x00, //
        0x00, //
        0xF8, // #####
        0xF8, // #####
        0xF8, // #####

        /* @1540 '\xDC' (5 pixels wide) */
        0xE0, // ###
        0xE0, // ###
        0xE0, // ###
        0xE0, // ###
        0xE0, // ###
        0xE0, // ###
        0xE0, // ###

        /* @1547 '\xDD' (5 pixels wide) */
        0x18, //    ##
        0x18, //    ##
        0x18, //    ##
        0x18, //    ##
        0x18, //    ##
        0x18, //    ##
        0x18, //    ##

        /* @1554 '\xDE' (5 pixels wide) */
        0xF8, // #####
        0xF8, // #####
        0xF8, // #####
        0xF8, // #####
        0x00, //
        0x00, //
        0x00, //

        /* @1561 '\xDF' (5 pixels wide) */
        0x00, //
        0x00, //
        0x68, //  ## #
        0x90, // #  #
        0x90, // #  #
        0x90, // #  #
        0x68, //  ## #

        /* @1568 '\xE0' (5 pixels wide) */
        0x00, //
        0x70, //  ###
        0x88, // #   #
        0xF0, // ####
        0x88, // #   #
        0x88, // #   #
        0xF0, // ####

        /* @1575 '\xE1' (5 pixels wide) */
        0x00, //
        0xF8, // #####
        0x98, // #  ##
        0x80, // #
        0x80, // #
        0x80, // #
        0x80, // #

        /* @1582 '\xE2' (5 pixels wide) */
        0x00, //
        0xF8, // #####
        0x50, //  # #
        0x50, //  # #
        0x50, //  # #
        0x50, //  # #
        0x50, //  # #

        /* @1589 '\xE3' (5 pixels wide) */
        0xF8, // #####
        0x88, // #   #
        0x40, //  #
        0x20, //   #
        0x40, //  #
        0x88, // #   #
        0xF8, // #####

        /* @1596 '\xE4' (5 pixels wide) */
        0x00, //
        0x00, //
        0x78, //  ####
        0x90, // #  #
        0x90, // #  #
        0x90, // #  #
        0x60, //  ##

        /* @1603 '\xE5' (5 pixels wide) */
        0x00, //
        0x50, //  # #
        0x50, //  # #
        0x50, //  # #
        0x50, //  # #
        0x68, //  ## #
        0xC0, // ##

        /* @1610 '\xE6' (5 pixels wide) */
        0x00, //
        0xF8, // #####
        0xA0, // # #
        0x20, //   #
        0x20, //   #
        0x20, //   #
        0x20, //   #

        /* @1617 '\xE7' (5 pixels wide) */
        0xF8, // #####
        0x20, //   #
        0x70, //  ###
        0x88, // #   #
        0x88, // #   #
        0x70, //  ###
        0x20, //   #

        /* @1624 '\xE8' (5 pixels wide) */
        0x20, //   #
        0x50, //  # #
        0x88, // #   #
        0xF8, // #####
        0x88, // #   #
        0x50, //  # #
        0x20, //   #

        /* @1631 '\xE9' (5 pixels wide) */
        0x20, //   #
        0x50, //  # #
        0x88, // #   #
        0x88, // #   #
        0x50, //  # #
        0x50, //  # #
        0xD8, // ## ##

        /* @1638 '\xEA' (5 pixels wide) */
        0x30, //   ##
        0x40, //  #
        0x30, //   ##
        0x70, //  ###
        0x88, // #   #
        0x88, // #   #
        0x70, //  ###

        /* @1645 '\xEB' (5 pixels wide) */
        0x00, //
        0x00, //
        0x00, //
        0x70, //  ###
        0xA8, // # # #
        0xA8, // # # #
        0x70, //  ###

        /* @1652 '\xEC' (5 pixels wide) */
        0x08, //     #
        0x70, //  ###
        0x98, // #  ##
        0xA8, // # # #
        0xA8, // # # #
        0xC8, // ##  #
        0x70, //  ###

        /* @1659 '\xED' (5 pixels wide) */
        0x70, //  ###
        0x80, // #
        0x80, // #
        0xF0, // ####
        0x80, // #
        0x80, // #
        0x70, //  ###

        /* @1666 '\xEE' (5 pixels wide) */
        0x70, //  ###
        0x88, // #   #
        0x88, // #   #
        0x88, // #   #
        0x88, // #   #
        0x88, // #   #
        0x88, // #   #

        /* @1673 '\xEF' (5 pixels wide) */
        0x00, //
        0xF8, // #####
        0x00, //
        0xF8, // #####
        0x00, //
        0xF8, // #####
        0x00, //

        /* @1680 '\xF0' (5 pixels wide) */
        0x20, //   #
        0x20, //   #
        0xF8, // #####
        0x20, //   #
        0x20, //   #
        0x00, //
        0xF8, // #####

        /* @1687 '\xF1' (5 pixels wide) */
        0x40, //  #
        0x20, //   #
        0x10, //    #
        0x20, //   #
        0x40, //  #
        0x00, //
        0xF8, // #####

        /* @1694 '\xF2' (5 pixels wide) */
        0x10, //    #
        0x20, //   #
        0x40, //  #
        0x20, //   #
        0x10, //    #
        0x00, //
        0xF8, // #####

        /* @1701 '\xF3' (5 pixels wide) */
        0x38, //   ###
        0x28, //   # #
        0x20, //   #
        0x20, //   #
        0x20, //   #
        0x20, //   #
        0x20, //   #

        /* @1708 '\xF4' (5 pixels wide) */
        0x20, //   #
        0x20, //   #
        0x20, //   #
        0x20, //   #
        0x20, //   #
        0xA0, // # #
        0xA0, // # #

        /* @1715 '\xF5' (5 pixels wide) */
        0x30, //   ##
        0x30, //   ##
        0x00, //
        0xF8, // #####
        0x00, //
        0x30, //   ##
        0x30, //   ##

        /* @1722 '\xF6' (5 pixels wide) */
        0x00, //
        0xE8, // ### #
        0xB8, // # ###
        0x00, //
        0xE8, // ### #
        0xB8, // # ###
        0x00, //

        /* @1729 '\xF7' (5 pixels wide) */
        0x70, //  ###
        0xD8, // ## ##
        0xD8, // ## ##
        0x70, //  ###
        0x00, //
        0x00, //
        0x00, //

        /* @1736 '\xF8' (5 pixels wide) */
        0x00, //
        0x00, //
        0x00, //
        0x30, //   ##
        0x30, //   ##
        0x00, //
        0x00, //

        /* @1743 '\xF9' (5 pixels wide) */
        0x00, //
        0x00, //
        0x00, //
        0x00, //
        0x30, //   ##
        0x00, //
        0x00, //

        /* @1750 '\xFA' (5 pixels wide) */
        0x38, //   ###
        0x20, //   #
        0x20, //   #
        0x20, //   #
        0xA0, // # #
        0xA0, // # #
        0x60, //  ##

        /* @1757 '\xFB' (5 pixels wide) */
        0x70, //  ###
        0x48, //  #  #
        0x48, //  #  #
        0x48, //  #  #
        0x48, //  #  #
        0x00, //
        0x00, //

        /* @1764 '\xFC' (5 pixels wide) */
        0x70, //  ###
        0x18, //    ##
        0x30, //   ##
        0x60, //  ##
        0x78, //  ####
        0x00, //
        0x00, //

        /* @1771 '\xFD' (5 pixels wide) */
        0x00, //
        0x00, //
        0x78, //  ####
        0x78, //  ####
        0x78, //  ####
        0x78, //  ####
        0x00, //

        /* @1778 '\xFE' (5 pixels wide) */
        0x00, //
        0x00, //
        0x00, //
        0x00, //
        0x00, //
        0x00, //
        0x00, //

        /* @1785 '\xFF' (5 pixels wide) */
        0x08, //     #
        0x28, //   # #
        0x08, //     #
        0x28, //   # #
        0x00, //
        0x78, //  ####
        0x08, //     #

};

/* Character descriptors for glcd 5x7 */
/* { [Char width in bits], [Offset into glcd_5x7_bitmaps in bytes] } */
const font_char_desc_t _fonts_glcd_5x7_descriptors[] =
{
        {5, 0},     /* \x00 */
        {5, 7},     /* \x01 */
        {5, 14},    /* \x02 */
        {5, 21},    /* \x03 */
        {5, 28},    /* \x04 */
        {5, 35},    /* \x05 */
        {5, 42},    /* \x06 */
        {5, 49},    /* \x07 */
        {5, 56},    /* \x08 */
        {5, 63},    /* \x09 */
        {5, 70},    /* \x0A */
        {5, 77},    /* \x0B */
        {5, 84},    /* \x0C */
        {5, 91},    /* \x0D */
        {5, 98},    /* \x0E */
        {5, 105},   /* \x0F */
        {5, 112},   /* \x10 */
        {5, 119},   /* \x11 */
        {5, 126},   /* \x12 */
        {5, 133},   /* \x13 */
        {5, 140},   /* \x14 */
        {5, 147},   /* \x15 */
        {5, 154},   /* \x16 */
        {5, 161},   /* \x17 */
        {5, 168},   /* \x18 */
        {5, 175},   /* \x19 */
        {5, 182},   /* \x1A */
        {5, 189},   /* \x1B */
        {5, 196},   /* \x1C */
        {5, 203},   /* \x1D */
        {5, 210},   /* \x1E */
        {5, 217},   /* \x1F */
        {5, 224},   /*      */
        {5, 231},   /*   !  */
        {5, 238},   /*   "  */
        {5, 245},   /*   #  */
        {5, 252},   /*   $  */
        {5, 259},   /*   %  */
        {5, 266},   /*   &  */
        {5, 273},   /*   '  */
        {5, 280},   /*   (  */
        {5, 287},   /*   )  */
        {5, 294},   /*   *  */
        {5, 301},   /*   +  */
        {5, 308},   /*   ,  */
        {5, 315},   /*   -  */
        {5, 322},   /*   .  */
        {5, 329},   /*   /  */
        {5, 336},   /*   0  */
        {5, 343},   /*   1  */
        {5, 350},   /*   2  */
        {5, 357},   /*   3  */
        {5, 364},   /*   4  */
        {5, 371},   /*   5  */
        {5, 378},   /*   6  */
        {5, 385},   /*   7  */
        {5, 392},   /*   8  */
        {5, 399},   /*   9  */
        {5, 406},   /*   :  */
        {5, 413},   /*   ;  */
        {5, 420},   /*   <  */
        {5, 427},   /*   =  */
        {5, 434},   /*   >  */
        {5, 441},   /*   ?  */
        {5, 448},   /*   @  */
        {5, 455},   /*   A  */
        {5, 462},   /*   B  */
        {5, 469},   /*   C  */
        {5, 476},   /*   D  */
        {5, 483},   /*   E  */
        {5, 490},   /*   F  */
        {5, 497},   /*   G  */
        {5, 504},   /*   H  */
        {5, 511},   /*   I  */
        {5, 518},   /*   J  */
        {5, 525},   /*   K  */
        {5, 532},   /*   L  */
        {5, 539},   /*   M  */
        {5, 546},   /*   N  */
        {5, 553},   /*   O  */
        {5, 560},   /*   P  */
        {5, 567},   /*   Q  */
        {5, 574},   /*   R  */
        {5, 581},   /*   S  */
        {5, 588},   /*   T  */
        {5, 595},   /*   U  */
        {5, 602},   /*   V  */
        {5, 609},   /*   W  */
        {5, 616},   /*   X  */
        {5, 623},   /*   Y  */
        {5, 630},   /*   Z  */
        {5, 637},   /*   [  */
        {5, 644},   /*   \  */
        {5, 651},   /*   ]  */
        {5, 658},   /*   ^  */
        {5, 665},   /*   _  */
        {5, 672},   /*   `  */
        {5, 679},   /*   a  */
        {5, 686},   /*   b  */
        {5, 693},   /*   c  */
        {5, 700},   /*   d  */
        {5, 707},   /*   e  */
        {5, 714},   /*   f  */
        {5, 721},   /*   g  */
        {5, 728},   /*   h  */
        {5, 735},   /*   i  */
        {5, 742},   /*   j  */
        {5, 749},   /*   k  */
        {5, 756},   /*   l  */
        {5, 763},   /*   m  */
        {5, 770},   /*   n  */
        {5, 777},   /*   o  */
        {5, 784},   /*   p  */
        {5, 791},   /*   q  */
        {5, 798},   /*   r  */
        {5, 805},   /*   s  */
        {5, 812},   /*   t  */
        {5, 819},   /*   u  */
        {5, 826},   /*   v  */
        {5, 833},   /*   w  */
        {5, 840},   /*   x  */
        {5, 847},   /*   y  */
        {5, 854},   /*   z  */
        {5, 861},   /*   {  */
        {5, 868},   /*   |  */
        {5, 875},   /*   }  */
        {5, 882},   /*   ~  */
        {5, 889},   /* \x7F */
        {5, 896},   /* \x80 */
        {5, 903},   /* \x81 */
        {5, 910},   /* \x82 */
        {5, 917},   /* \x83 */
        {5, 924},   /* \x84 */
        {5, 931},   /* \x85 */
        {5, 938},   /* \x86 */
        {5, 945},   /* \x87 */
        {5, 952},   /* \x88 */
        {5, 959},   /* \x89 */
        {5, 966},   /* \x8A */
        {5, 973},   /* \x8B */
        {5, 980},   /* \x8C */
        {5, 987},   /* \x8D */
        {5, 994},   /* \x8E */
        {5, 1001},  /* \x8F */
        {5, 1008},  /* \x90 */
        {5, 1015},  /* \x91 */
        {5, 1022},  /* \x92 */
        {5, 1029},  /* \x93 */
        {5, 1036},  /* \x94 */
        {5, 1043},  /* \x95 */
        {5, 1050},  /* \x96 */
        {5, 1057},  /* \x97 */
        {5, 1064},  /* \x98 */
        {5, 1071},  /* \x99 */
        {5, 1078},  /* \x9A */
        {5, 1085},  /* \x9B */
        {5, 1092},  /* \x9C */
        {5, 1099},  /* \x9D */
        {5, 1106},  /* \x9E */
        {5, 1113},  /* \x9F */
        {5, 1120},  /* \xA0 */
        {5, 1127},  /* \xA1 */
        {5, 1134},  /* \xA2 */
        {5, 1141},  /* \xA3 */
        {5, 1148},  /* \xA4 */
        {5, 1155},  /* \xA5 */
        {5, 1162},  /* \xA6 */
        {5, 1169},  /* \xA7 */
        {5, 1176},  /* \xA8 */
        {5, 1183},  /* \xA9 */
        {5, 1190},  /* \xAA */
        {5, 1197},  /* \xAB */
        {5, 1204},  /* \xAC */
        {5, 1211},  /* \xAD */
        {5, 1218},  /* \xAE */
        {5, 1225},  /* \xAF */
        {5, 1232},  /* \xB0 */
        {5, 1239},  /* \xB1 */
        {5, 1246},  /* \xB2 */
        {5, 1253},  /* \xB3 */
        {5, 1260},  /* \xB4 */
        {5, 1267},  /* \xB5 */
        {5, 1274},  /* \xB6 */
        {5, 1281},  /* \xB7 */
        {5, 1288},  /* \xB8 */
        {5, 1295},  /* \xB9 */
        {5, 1302},  /* \xBA */
        {5, 1309},  /* \xBB */
        {5, 1316},  /* \xBC */
        {5, 1323},  /* \xBD */
        {5, 1330},  /* \xBE */
        {5, 1337},  /* \xBF */
        {5, 1344},  /* \xC0 */
        {5, 1351},  /* \xC1 */
        {5, 1358},  /* \xC2 */
        {5, 1365},  /* \xC3 */
        {5, 1372},  /* \xC4 */
        {5, 1379},  /* \xC5 */
        {5, 1386},  /* \xC6 */
        {5, 1393},  /* \xC7 */
        {5, 1400},  /* \xC8 */
        {5, 1407},  /* \xC9 */
        {5, 1414},  /* \xCA */
        {5, 1421},  /* \xCB */
        {5, 1428},  /* \xCC */
        {5, 1435},  /* \xCD */
        {5, 1442},  /* \xCE */
        {5, 1449},  /* \xCF */
        {5, 1456},  /* \xD0 */
        {5, 1463},  /* \xD1 */
        {5, 1470},  /* \xD2 */
        {5, 1477},  /* \xD3 */
        {5, 1484},  /* \xD4 */
        {5, 1491},  /* \xD5 */
        {5, 1498},  /* \xD6 */
        {5, 1505},  /* \xD7 */
        {5, 1512},  /* \xD8 */
        {5, 1519},  /* \xD9 */
        {5, 1526},  /* \xDA */
        {5, 1533},  /* \xDB */
        {5, 1540},  /* \xDC */
        {5, 1547},  /* \xDD */
        {5, 1554},  /* \xDE */
        {5, 1561},  /* \xDF */
        {5, 1568},  /* \xE0 */
        {5, 1575},  /* \xE1 */
        {5, 1582},  /* \xE2 */
        {5, 1589},  /* \xE3 */
        {5, 1596},  /* \xE4 */
        {5, 1603},  /* \xE5 */
        {5, 1610},  /* \xE6 */
        {5, 1617},  /* \xE7 */
        {5, 1624},  /* \xE8 */
        {5, 1631},  /* \xE9 */
        {5, 1638},  /* \xEA */
        {5, 1645},  /* \xEB */
        {5, 1652},  /* \xEC */
        {5, 1659},  /* \xED */
        {5, 1666},  /* \xEE */
        {5, 1673},  /* \xEF */
        {5, 1680},  /* \xF0 */
        {5, 1687},  /* \xF1 */
        {5, 1694},  /* \xF2 */
        {5, 1701},  /* \xF3 */
        {5, 1708},  /* \xF4 */
        {5, 1715},  /* \xF5 */
        {5, 1722},  /* \xF6 */
        {5, 1729},  /* \xF7 */
        {5, 1736},  /* \xF8 */
        {5, 1743},  /* \xF9 */
        {5, 1750},  /* \xFA */
        {5, 1757},  /* \xFB */
        {5, 1764},  /* \xFC */
        {5, 1771},  /* \xFD */
        {5, 1778},  /* \xFE */
        {5, 1785},  /* \xFF */
};

/* Font information for glcd 5x7 */

const font_info_t _fonts_glcd_5x7_info =
{
    .height           = 7,                           /* Character height */
    .c                = 1,                           /* C */
    .char_start       = 0,                           /* Start character */
    .char_end         = 255,                         /* End character */
    .char_descriptors = _fonts_glcd_5x7_descriptors, /* Character descriptor array */
    .bitmap           = _fonts_glcd_5x7_bitmaps,     /* Character bitmap array */
};

#endif /* _EXTRAS_FONTS_FONT_GLCD_5X7_H_ */
